curl --request GET \
--url https://openapi.rocketpunch.com/api/v1/jobs \
--header 'X-RP-API-Key: <api-key>'import requests
url = "https://openapi.rocketpunch.com/api/v1/jobs"
headers = {"X-RP-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-RP-API-Key': '<api-key>'}};
fetch('https://openapi.rocketpunch.com/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"totalPages": 123,
"page": 123,
"pageSize": 123,
"items": [
{
"jobId": 9001234,
"title": "Backend Engineer (Kotlin/Spring)",
"seniorities": [
"<string>"
],
"employmentTypes": [
"<string>"
],
"company": {
"name": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"industry": "<string>",
"size": "TINY"
},
"webUrl": "<string>",
"subtitle": "<string>",
"jobCategory": "<string>",
"workType": "ONSITE",
"endAt": "<string>"
}
]
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Search and list jobs
Searches actively hiring jobs with pagination. Multiple values in the same filter are combined with OR; different filters are combined with AND.
Authorizations
Headers
Supported response locales: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. Default is ko.
"ko"
Query Parameters
Title/body keyword
100Company handle to search
255^[A-Za-z0-9_-]+$Job category code. See /v1/codes/job-categories
Seniority: BEGINNER/JUNIOR/MIDLEVEL/SENIOR/EXECUTIVE
Employment type. See /v1/codes/employment-types
Company size: TINY/SMALL/MEDIUM/LARGE/HUGE
Workplace type: ONSITE/HYBRID/REMOTE
Sort order: RELEVANCE_DESC (relevance, default) / DATE_DESC (newest) / POPULARITY_DESC (popular)
Page number to retrieve (starts at 1, default 1)
x >= 1Page size (1-50, default 20)
1 <= x <= 50Response
OK
Paginated response. page starts at 1. If page > totalPages, items is an empty array.
Was this page helpful?